Bug 1218089 - (seld/cli-prompt) Review Request: php-seld-cli-prompt - Allows you to prompt for user input on the command line
Review Request: php-seld-cli-prompt - Allows you to prompt for user input on...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-04 04:24 EDT by Remi Collet
Modified: 2015-05-29 17:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-seld-cli-prompt-1.0.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-25 23:31:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (2.30 KB, text/plain)
2015-05-09 15:30 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.52 KB, text/plain)
2015-05-09 15:31 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-05-04 04:24:29 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/835a0b424bb4366d1331d27f54a4a6d81e500777/php/php-seld-cli-prompt/php-seld-cli-prompt.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-seld-cli-prompt-1.0.0-1.remi.src.rpm
Description: 
While prompting for user input using fgets() is quite easy, sometimes you
need to prompt for sensitive information. In these cases, the characters typed
in by the user should not be directly visible, and this is quite a pain to do
in a cross-platform way.

Fedora Account System Username: remi


-- 
Dependency of composer.
Comment 1 Shawn Iwinski 2015-05-09 15:30:43 EDT
Created attachment 1023844 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.3
Comment 2 Shawn Iwinski 2015-05-09 15:31:20 EDT
Created attachment 1023845 [details]
fedora-review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1218089
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Shawn Iwinski 2015-05-09 15:33:28 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

As usual, remove EPEL5 bits after initial import.



Since no %check, "BuildRequires:  php(language) >= 5.3" is not really necessary unless you just want to prevent even building the RPM on systems without PHP >= 5.3.



No blockers.



===== APPROVED =====
Comment 4 Remi Collet 2015-05-11 03:09:08 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-seld-cli-prompt
Short Description: Allows you to prompt for user input on the command lin
Upstream URL: https://github.com/Seldaek/cli-prompt
Owners: remi
Branches:f21 f22 epel7 
InitialCC:
Comment 5 Gwyn Ciesla 2015-05-11 08:33:53 EDT
Git done (by process-git-requests).
Comment 6 Remi Collet 2015-05-11 09:25:26 EDT
Can you please check, the package doesn't appears in pkgdb and 

$ fedpkg clone php-seld-cli-prompt 
Clonage dans 'php-seld-cli-prompt'...
FATAL: R any php-seld-cli-prompt remi DENIED by fallthru
Comment 7 Gwyn Ciesla 2015-05-11 14:08:43 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-05-14 03:00:38 EDT
php-seld-cli-prompt-1.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-seld-cli-prompt-1.0.0-1.fc22
Comment 9 Fedora Update System 2015-05-14 03:00:47 EDT
php-seld-cli-prompt-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-seld-cli-prompt-1.0.0-1.fc21
Comment 10 Fedora Update System 2015-05-14 03:00:59 EDT
php-seld-cli-prompt-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-seld-cli-prompt-1.0.0-1.el7
Comment 11 Fedora Update System 2015-05-14 16:04:51 EDT
php-seld-cli-prompt-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 12 Fedora Update System 2015-05-25 23:31:20 EDT
php-seld-cli-prompt-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 13 Fedora Update System 2015-05-25 23:52:30 EDT
php-seld-cli-prompt-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.
Comment 14 Fedora Update System 2015-05-29 17:49:10 EDT
php-seld-cli-prompt-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.